| helics 3.6.1

Public Member Functions | Public Attributes | List of all members
helics::BasicHandleInfo Class Reference

`#include <BasicHandleInfo.hpp>`

## Public Member Functions
| BasicHandleInfo () noexcept
| BasicHandleInfo (GlobalFederateId federate_id, InterfaceHandle handle_id, InterfaceType type_of_handle, std::string_view key_name, std::string_view type_name, std::string_view unit_name)
| BasicHandleInfo (GlobalFederateId federate_id, InterfaceHandle handle_id, InterfaceType type_of_handle) noexcept
| BasicHandleInfo (GlobalHandle gHandle, InterfaceType type_of_handle) noexcept
InterfaceHandle | getInterfaceHandle () const
GlobalFederateId | getFederateId () const
void | setTag (std::string_view tag, std::string_view value)
const std::string & | getTag (std::string_view tag) const
const std::pair< std::string, std::string > & | getTagByIndex (size_t index) const
auto | tagCount () const

## Public Attributes
const GlobalHandle | handle {}
| the global federate id for the creator of the handle
LocalFederateId | local_fed_id {}
| the local federate id of the handle
const InterfaceType | handleType {InterfaceType::UNKNOWN}
| the type of the handle
bool | used {false}
uint16_t | flags {0}
| flags corresponding to the flags used in ActionMessages +some extra ones
const std::string | key
| the name of the handle
const std::string | type
| the type of data used by the handle
const std::string | units
| the units associated with the handle
const std::string & | type_in
| the input type of a filter
const std::string & | type_out
| the output type of a filter

## Detailed Description

class defining and capturing basic information about a handle

## Constructor & Destructor Documentation

## ◆ BasicHandleInfo() [1/2]

helics::BasicHandleInfo::BasicHandleInfo | ( |  | ) |
| inline noexcept

default constructor

## ◆ BasicHandleInfo() [2/2]

helics::BasicHandleInfo::BasicHandleInfo | ( | GlobalFederateId | federate_id,
|  | InterfaceHandle | handle_id,
|  | InterfaceType | type_of_handle,
|  | std::string_view | key_name,
|  | std::string_view | type_name,
|  | std::string_view | unit_name
| ) |  |
| inline

construct from the data

## Member Function Documentation

## ◆ getFederateId()

GlobalFederateId helics::BasicHandleInfo::getFederateId | ( |  | ) | const
| inline

extract a global federate id

References helics::GlobalHandle::fed_id, and handle.

Referenced by helics::FilterFederate::destinationProcessMessage().

## ◆ getInterfaceHandle()

InterfaceHandle helics::BasicHandleInfo::getInterfaceHandle | ( |  | ) | const
| inline

get the interface handle information

References handle, and helics::GlobalHandle::handle.

Referenced by helics::FilterFederate::destinationProcessMessage().

## ◆ getTag()

const std::string & helics::BasicHandleInfo::getTag | ( | std::string_view | tag | ) | const

search for a tag by name

## ◆ getTagByIndex()

const std::pair<std::string, std::string>& helics::BasicHandleInfo::getTagByIndex | ( | size_t | index | ) | const
| inline

get a tag (key-value pair) by index

## ◆ setTag()

void helics::BasicHandleInfo::setTag | ( | std::string_view | tag,
|  | std::string_view | value
| ) |  |

set a tag (key-value pair)

## ◆ tagCount()

auto helics::BasicHandleInfo::tagCount | ( |  | ) | const
| inline

get the number of tags associated with an interface

## Member Data Documentation

## ◆ used

bool helics::BasicHandleInfo::used {false}

indicator that the handle is being used to link with another federate

The documentation for this class was generated from the following files:

- BasicHandleInfo.hpp
- BasicHandleInfo.cpp